%global git_date  20240216
%global git_hash  d6d883a
%global git_ver  1.5.1

%global rel  4
%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           unshield
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        Install InstallShield applications on a Pocket PC

License:        MIT
URL:            https://github.com/twogood/unshield
Source0:	%{url}/%{src_name}

BuildRequires:  zlib-devel
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(openssl)

%description
This tool allows the extraction of InstallShield format cabinet files (which
are different from Microsoft cabinet files). It was initially developed as a
part of the SynCE project to aid with installing applications for Pocket PC
devices, which were often contained in InstallShield installers, but these days
that is rather less likely to be the primary use case.

%package devel
Summary:        Files needed for software development with %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development with
%{name}.

%prep
%autosetup -n %{name}

%build
%cmake
%cmake_build

%install
%cmake_install
install -p -D -m755 lib/libunshield.h %{buildroot}%{_includedir}/libunshield.h

%ldconfig_scriptlets

%files
%license LICENSE
%doc README.md
%{_bindir}/unshield
%{_mandir}/man1/unshield.1.*
%{_libdir}/libunshield.so.*
%{_libdir}/cmake/%{name}/*.cmake

%files devel
%{_libdir}/libunshield.so
%{_includedir}/libunshield.h
%{_libdir}/pkgconfig/libunshield.pc

%changelog
%autochangelog
